@Version("1.0.0")

# Package org.apache.sling.cms.publication

Publication related APIs

Since:
  0.16.2

Interface Summary
PublicationManager: Publication Manager is used to get the publication status of content and get the instances' publication mode.
PublicationManagerFactory: Factory for retrieving the Publication Manager for the instance configuration.

Class Summary
IsPublishableResourceContainer: A predicate for evaluating if a resource can contain publishable resources or be a publishable resource itself
IsPublishableResourceType: A predicate for evaluating if a resource is a publishable resource type.
PublicationEvent: Helper for generating OSGi Events for publication events

Enum Summary
INSTANCE_TYPE
PUBLICATION_MODE: The publication mode of the instance.
PublicationType: The type of publication.

Exception Summary
PublicationException: A wrapper exception for an issue occuring when publishing or unpublishing content.